Bug 24024 - (Permedia)XFree86 crashes randomly: "client 1 rejected from local host"
(Permedia)XFree86 crashes randomly: "client 1 rejected from local host"
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
7.0
i386 Linux
high Severity high
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-01-15 07:37 EST by Raul Acevedo
Modified: 2006-04-20 19:57 EDT (History)
0 users

See Also:
Fixed In Version: RHL 7.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-20 19:57:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Raul Acevedo 2001-01-15 07:37:59 EST
I'm getting completely random X server crashes.

I'll be just typing along, or doing whatever, and boom, X dies,
and I get thrown back to the gdm login screen.

I took a peek at /var/log/XFree86.0.log, and found the following
lines apparently at the time of the last crash:

AUDIT: Mon Jan 15 03:30:01 2001: 2159 X: client 1 rejected from local host
  Auth name: MIT-MAGIC-COOKIE-1 ID: -1

I've been running a standard RedHat 7 install with all the latest
updates.  I also have the latest Helix, err, Ximian (ugh!) GNOME.
I only installed RedHat 7 (fresh install) two days ago.  I've
been running RedHat 6.2 on this machine for years without problems.

I've also updated to XFree86-4.0.2-1 (using rawhide RPMs), but the
crash is still happening.

I have a Diamond Fire GL 1000 video card, and XFree86 is using the
3Dlabs Permedia2 glint driver.
Comment 1 Raul Acevedo 2001-01-17 06:03:44 EST
I've found a way to reproduce this almost 100% of the time.

Unfortunately, it only happens on my desktop (i.e. my particular
combination of GNOME applets and startup programs), and I'm having
a hard time finding a way to reproduce it by starting from a generic
install.

I'm willing to install extra debugging stuff, or do whatever I can,
to help track this crash.  Is there anything I can do to generate
something useful on my machine to help someone knowledgeable figure
it out?
Comment 2 Mike A. Harris 2001-04-02 12:39:18 EDT
I don't have a permedia card to test with however I have some new patches
for the permedia cards which are in my queue.  Are you willing to download
and test an XFree86-4.0.3 package set + Mesa if I put them together?
If so, and it works, I just might be able to squeeze the patches into our
next release.
Comment 3 Mike A. Harris 2001-04-10 01:01:30 EDT
A *MAJOR* new update to the Permedia driver has just been incorporated
into XFree86-4.0.3-8.  The patches are from Compaq, and fix numerous
problems on Alpha, as well as other platforms.  These packages are available
for download at:   http://people.redhat.com/mharris
Please close the bug report after confirming that it does in fact fix the
problem for you, and ensure that you fill out new bug reports if you encounter
any new errors.  Thanks.
Comment 4 Mike A. Harris 2001-04-13 13:55:23 EDT
I mistakenly gave a bad URL above.  ;o(  The proper URL is:

ftp://people.redhat.com

Not http.  Please try out the latest code and let me know if this problem is
fixed now.
Comment 5 Mike A. Harris 2001-08-13 09:17:42 EDT
Please try Rawhide XFree86 out.

Note You need to log in before you can comment on or make changes to this bug.